# ScanCompletionOverlay class

Configuration of the overlay to be shown after the successful scan.

## Constructors

ScanCompletionOverlay({StyledText? message, ScanbotColor? iconColor, ScanbotColor? overlayBackgroundColor, int timeout = 1000})
ScanCompletionOverlay.fromJson(Map<String, dynamic> json)
  factory

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
iconColor ↔ ScanbotColor
  Color of the icon.
  getter/setter pair
message ↔ StyledText
  A caption below the icon.
  getter/setter pair
overlayBackgroundColor ↔ ScanbotColor
  Background color of the overlay.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
timeout ↔ int
  Timeout in milliseconds after which the overlay is automatically dismissed.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited